Show / Hide Table of Contents

# Enum MessageProtocolType

Defines the possible message protocol types.

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public enum MessageProtocolType

### Fields

Name | Description
--- | ---
DebugAdapter | Identifies the debug adapter message protocol.
LanguageServer | Identifies the language server message protocol.